@use '../../../global/styles/styles-variables' as *;
@use './styles/info-card-multi.variations' as variations;
@use './styles/info-card-multi.variables' as *;

:host {
	@include digi-info-card-multi--variables;
	$base: '.digi-info-card-multi';

	#{$base} {
		box-sizing: border-box;

		&--media {
			@include variations.media;
		}

		&--related {
			@include variations.related;
			border-top: var(--digi--info-card-multi--border);
		}

		&--entry {
			@include variations.entry;
		}

		background-color: var(--BACKGROUND-COLOR);
		height: 100%;
		display: grid;

		&__image {
			position: relative;
		}

		&__tag {
			position: absolute;
			z-index: 1;
			left: 1rem;
			bottom: 0.5rem;
		}

		&__content {
			grid-column: 1;
			grid-row: 1;
		}

		&__text {
			padding: var(--PADDING);
		}

		&__heading {
			font-size: var(--FONT-SIZE--HEADING);
			color: var(--COLOR--HEADING);
			font-family: var(--digi--global--typography--font-family--default);
			font-weight: var(--digi--info-card-multi--heading--font-weight);
			display: inline-block;
			margin-top: 0;
			margin-bottom: 0.5rem;
		}

		&--active-link #{$base}__heading {
			text-decoration: underline;
		}

		&__link {
			margin-top: 0;
			display: block;
			font-size: inherit;
			line-height: inherit;
			font-weight: inherit;
		}

		&__link-overlay {
			grid-column: 1;
			grid-row: 1;
			opacity: 0;
		}
	}
}

::slotted(* .digi-media-image) {
	display: block !important;
}

::slotted(* img) {
	display: block !important;
}